| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Attributes | List of all members
Ogre::RTShader::HLSLProgramProcessor Class Reference
Optional Components » RTShaderSystem

CG Language program processor class. More...

`#include <OgreShaderHLSLProgramProcessor.h>`

Inheritance diagram for Ogre::RTShader::HLSLProgramProcessor:
[legend]

## Public Member Functions
| HLSLProgramProcessor ()
| Class constructor. More...
virtual | ~HLSLProgramProcessor ()
| Class destructor. More...
virtual const String & | getTargetLanguage () const
| Return the target language of this processor. More...
virtual bool | postCreateGpuPrograms (ProgramSet *programSet)
| More...
virtual bool | preCreateGpuPrograms (ProgramSet *programSet)
| More...

## Static Public Attributes
static String | TargetLanguage

## Detailed Description

CG Language program processor class.

## Constructor & Destructor Documentation

## ◆ HLSLProgramProcessor()

Ogre::RTShader::HLSLProgramProcessor::HLSLProgramProcessor | ( |  | ) |

Class constructor.

## ◆ ~HLSLProgramProcessor()

virtual Ogre::RTShader::HLSLProgramProcessor::~HLSLProgramProcessor | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

## ◆ getTargetLanguage()

virtual const String& Ogre::RTShader::HLSLProgramProcessor::getTargetLanguage | ( |  | ) | const
| inline virtual

Return the target language of this processor.

Implements Ogre::RTShader::ProgramProcessor.

## ◆ preCreateGpuPrograms()

virtual bool Ogre::RTShader::HLSLProgramProcessor::preCreateGpuPrograms | ( | ProgramSet * | programSet | ) |
| virtual

See also
  ProgramProcessor::preCreateGpuPrograms

Implements Ogre::RTShader::ProgramProcessor.

## ◆ postCreateGpuPrograms()

virtual bool Ogre::RTShader::HLSLProgramProcessor::postCreateGpuPrograms | ( | ProgramSet * | programSet | ) |
| virtual

See also
  ProgramProcessor::postCreateGpuPrograms

Implements Ogre::RTShader::ProgramProcessor.

## Member Data Documentation

## ◆ TargetLanguage

String Ogre::RTShader::HLSLProgramProcessor::TargetLanguage
| static

The documentation for this class was generated from the following file:

- OgreShaderHLSLProgramProcessor.h